%global pypi_name tox-current-env

Name:           python-%{pypi_name}
Version:        0.0.8
Release:        %mkrel 1
Summary:        Tox plugin to run tests in current Python environment
Group:          Development/Python

License:        MIT
URL:            https://github.com/fedora-python/tox-current-env
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
The tox-current-env plugin allows to run tests in current Python environment.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The tox-current-env plugin allows to run tests in current Python environment.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tox_current_env

#check
# the tests currently only work within actual tox and with various Python
# versions installed, so we skip them.


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst




%changelog
* Thu Aug 11 2022 wally <wally> 0.0.8-1.mga8
+ Revision: 1876880
- sync with cauldron (mga#30734)

* Wed Aug 10 2022 wally <wally> 0.0.8-1.mga9
+ Revision: 1876815
- new version 0.0.8
- switch build to pyproject RPM macros

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.0.7-1.mga9
+ Revision: 1781550
- version 0.0.7
- rebuild for python-3.10

* Tue Apr 06 2021 joequant <joequant> 0.0.6-1.mga9
+ Revision: 1713868
- use py3 build
- add build requires
- imported package python-tox-current-env

